| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Connection
Java

Discover available controllers and open connections. More...

## Functions
void | gclibjava.GclibJava.GClose ()
| Closes a connection to a Galil Controller.
void | gclibjava.GclibJava.GOpen (String address) throws GclibJavaException
| Open a connection to a Galil Controller.
String | gclibjava.GclibJava.GAddresses () throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_ADDRESSES or G_UTIL_ADDRESSES to provide a listing of all available connection addresses.
void | gclibjava.GclibJava.GAssign (String ipAddress, String macAddress) throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_ASSIGN or G_UTIL_ASSIGN to assign an IP address over the Ethernet to a controller at a given MAC address.
String | gclibjava.GclibJava.GInfo () throws GclibJavaException
| Uses GUtility() and G_UTIL_INFO to provide a useful connection string.
String | gclibjava.GclibJava.GIpRequests () throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_IPREQUEST or G_UTIL_IPREQUEST to provide a list of all Galil controllers requesting IP addresses via BOOT-P or DHCP.
void | gclibjava.GclibJava.GTimeout (short timeout_ms) throws GclibJavaException
| Uses GUtility() and G_UTIL_TIMEOUT_OVERRIDE to set the library timeout.

## Detailed Description

Discover available controllers and open connections.

## Function Documentation

## ◆ GClose()

void gclibjava.GclibJava.GClose | ( |  | ) |
| inline

Closes a connection to a Galil Controller.

Definition at line 204 of file GclibJava.java.

## ◆ GOpen()

void gclibjava.GclibJava.GOpen | ( | String | address | ) | throws GclibJavaException
| inline

Open a connection to a Galil Controller.

Parameters

  address | address string. See GOpen() for details.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 301 of file GclibJava.java.

## ◆ GAddresses()

String gclibjava.GclibJava.GAddresses | ( |  | ) | throws GclibJavaException
| inline

Uses GUtility(), G_UTIL_GCAPS_ADDRESSES or G_UTIL_ADDRESSES to provide a listing of all available connection addresses.

Returns
  String containing the available addresses.

10.1.3.91, DMC4020 Rev 1.2e, LAN, 10.1.3.10 192.168.0.63, DMC4040 Rev 1.2f, Static, 192.168.0.41 (192.0.0.42), RIO47102 Rev 1.1j, Static, 192.168.0.41 10.1., RIO47102 Rev 1.1j, Static, 192.168.0.41 GALILPCI1 COM1 COM2

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 409 of file GclibJava.java.

## ◆ GAssign()

void gclibjava.GclibJava.GAssign | ( | String | ipAddress,
|  | String | macAddress ) throws GclibJavaException
| inline

Uses GUtility(), G_UTIL_GCAPS_ASSIGN or G_UTIL_ASSIGN to assign an IP address over the Ethernet to a controller at a given MAC address.

Parameters

  ipAddress | The IP address to assign.
  macAddress | The MAC address of the hardware.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 469 of file GclibJava.java.

## ◆ GInfo()

String gclibjava.GclibJava.GInfo | ( |  | ) | throws GclibJavaException
| inline

Uses GUtility() and G_UTIL_INFO to provide a useful connection string.

Returns
  A String containing the info, e.g. 192.168.0.42, DMC30010 Rev 1.2i, 6969

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 482 of file GclibJava.java.

## ◆ GIpRequests()

String gclibjava.GclibJava.GIpRequests | ( |  | ) | throws GclibJavaException
| inline

Uses GUtility(), G_UTIL_GCAPS_IPREQUEST or G_UTIL_IPREQUEST to provide a list of all Galil controllers requesting IP addresses via BOOT-P or DHCP.

Returns
  String containing hardware requesting IP addresses.

DMC4000, 291, 00:50:4C:20:01:23, LAN, 10.1.3.10 RIO47000, 37290, 00:50:4C:28:91:AA, Static, 192.168.0.41

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 499 of file GclibJava.java.

## ◆ GTimeout()

void gclibjava.GclibJava.GTimeout | ( | short | timeout_ms | ) | throws GclibJavaException
| inline

Uses GUtility() and G_UTIL_TIMEOUT_OVERRIDE to set the library timeout.

Parameters

  timeout_ms | The value to be used for the timeout. Use -1 to set the timeout back to the initial GOpen() value, –timeout.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 565 of file GclibJava.java.